Bug 1893743 - [8.4] [RFE] Release Ansible role for cluster HA in rhel-system-roles
Summary: [8.4] [RFE] Release Ansible role for cluster HA in rhel-system-roles
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: rhel-system-roles
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.4
Assignee: Pavel Cahyna
QA Contact: michal novacek
Eliane Ramos Pereira
URL:
Whiteboard: role:clusterha
Depends On: 1841019
Blocks: 1894575
TreeView+ depends on / blocked
 
Reported: 2020-11-02 13:55 UTC by Pavel Cahyna
Modified: 2021-08-27 14:33 UTC (History)
4 users (show)

Fixed In Version: rhel-system-roles-1.0.0-28.el8
Doc Type: Technology Preview
Doc Text:
.HA Cluster RHEL System Role available as a Technology Preview The High Availability Cluster (HA Cluster) role is now available as a Technology Preview. Currently, the following notable configurations are available: * Configuring nodes, fence device, resources, resource groups, and resource clones including meta attributes and resource operations * Configuring cluster properties * Configuring multi-link clusters * Configuring custom cluster names and node names * Configuring whether clusters start automatically on boot The HA system role does not currently support constraints. Running the role after constraints are configured manually will remove the constraints, as well as any configuration not supported by the role. The HA system role does not currently support SBD.
Clone Of:
Environment:
Last Closed: 2021-05-18 16:02:26 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Pavel Cahyna 2020-11-02 13:55:58 UTC

Comment 10 michal novacek 2021-02-20 21:01:24 UTC
I have verified that rhel-system-roles.ha_cluster from rhel-system-roles-1.0.0-29.el8 works correctly in the following scenarios:

  * custom cluster name
  * disabling cluster autostart
  * custom sequential node names that are different from hostnames

on one and three node cluster.

Comment 21 errata-xmlrpc 2021-05-18 16:02:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (rhel-system-roles bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2021:1909


Note You need to log in before you can comment on or make changes to this bug.